Update landing page metadata.
curl --request PATCH \
--url https://api.parallellabs.app/api/v0/landing-pages/{page_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"companyId": "<string>",
"name": "<string>",
"description": "<string>",
"seoMetadata": {},
"status": "<string>",
"listId": "<string>",
"domainId": "<string>"
}
'import requests
url = "https://api.parallellabs.app/api/v0/landing-pages/{page_id}"
payload = {
"companyId": "<string>",
"name": "<string>",
"description": "<string>",
"seoMetadata": {},
"status": "<string>",
"listId": "<string>",
"domainId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '<string>',
name: '<string>',
description: '<string>',
seoMetadata: {},
status: '<string>',
listId: '<string>',
domainId: '<string>'
})
};
fetch('https://api.parallellabs.app/api/v0/landing-pages/{page_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parallellabs.app/api/v0/landing-pages/{page_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'companyId' => '<string>',
'name' => '<string>',
'description' => '<string>',
'seoMetadata' => [
],
'status' => '<string>',
'listId' => '<string>',
'domainId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.parallellabs.app/api/v0/landing-pages/{page_id}"
payload := strings.NewReader("{\n \"companyId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoMetadata\": {},\n \"status\": \"<string>\",\n \"listId\": \"<string>\",\n \"domainId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.parallellabs.app/api/v0/landing-pages/{page_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"companyId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoMetadata\": {},\n \"status\": \"<string>\",\n \"listId\": \"<string>\",\n \"domainId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parallellabs.app/api/v0/landing-pages/{page_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"companyId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoMetadata\": {},\n \"status\": \"<string>\",\n \"listId\": \"<string>\",\n \"domainId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"publicSlug": "<string>",
"publicUrl": "<string>",
"isPublished": true,
"htmlContent": "<string>",
"seoMetadata": {},
"projectId": "<string>",
"listId": "<string>",
"designStyleId": "<string>",
"domainId": "<string>",
"created": 123,
"updated": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Landing Pages
Update landing page metadata.
PATCH
/
api
/
v0
/
landing-pages
/
{page_id}
Update landing page metadata.
curl --request PATCH \
--url https://api.parallellabs.app/api/v0/landing-pages/{page_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"companyId": "<string>",
"name": "<string>",
"description": "<string>",
"seoMetadata": {},
"status": "<string>",
"listId": "<string>",
"domainId": "<string>"
}
'import requests
url = "https://api.parallellabs.app/api/v0/landing-pages/{page_id}"
payload = {
"companyId": "<string>",
"name": "<string>",
"description": "<string>",
"seoMetadata": {},
"status": "<string>",
"listId": "<string>",
"domainId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '<string>',
name: '<string>',
description: '<string>',
seoMetadata: {},
status: '<string>',
listId: '<string>',
domainId: '<string>'
})
};
fetch('https://api.parallellabs.app/api/v0/landing-pages/{page_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parallellabs.app/api/v0/landing-pages/{page_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'companyId' => '<string>',
'name' => '<string>',
'description' => '<string>',
'seoMetadata' => [
],
'status' => '<string>',
'listId' => '<string>',
'domainId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.parallellabs.app/api/v0/landing-pages/{page_id}"
payload := strings.NewReader("{\n \"companyId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoMetadata\": {},\n \"status\": \"<string>\",\n \"listId\": \"<string>\",\n \"domainId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.parallellabs.app/api/v0/landing-pages/{page_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"companyId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoMetadata\": {},\n \"status\": \"<string>\",\n \"listId\": \"<string>\",\n \"domainId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parallellabs.app/api/v0/landing-pages/{page_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"companyId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"seoMetadata\": {},\n \"status\": \"<string>\",\n \"listId\": \"<string>\",\n \"domainId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"publicSlug": "<string>",
"publicUrl": "<string>",
"isPublished": true,
"htmlContent": "<string>",
"seoMetadata": {},
"projectId": "<string>",
"listId": "<string>",
"designStyleId": "<string>",
"domainId": "<string>",
"created": 123,
"updated": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Body
application/json
Landing page updates
Request body for updating a landing page
Response
Updated landing page
Landing page object
Landing page ID
Landing page name
Description
Status: draft, published, archived
Public URL slug
Full public URL
Whether page is published
HTML content
SEO metadata
Associated project ID
Attached smart list ID
Seed design style library preset ID
Custom domain ID
Creation timestamp
Last update timestamp

